import { ActivatedRoute, Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class GlobalErrorComponent {
    private router;
    private route;
    errCode: string | undefined;
    backUrl: string;
    constructor(router: Router, route: ActivatedRoute);
    onGoBack(): void;
    reload(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GlobalErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GlobalErrorComponent, "ocx-error", never, { "errCode": { "alias": "errCode"; "required": false; }; }, {}, never, never, false, never>;
}
